﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace Word2CHM
{
    /// <summary>
    /// configration dialog
    /// </summary>
    public partial class dlgConfig : Form
    {
        public dlgConfig()
        {
            InitializeComponent();
             
            this.DialogResult = DialogResult.Cancel;
        }

        private void dlgConfig_Load(object sender, EventArgs e)
        {
            txtHHCPath.Text = Properties.Settings.Default.HHCExePath;
            chkDeleteTempFile.Checked = Properties.Settings.Default.DeleteTempFile;
            txtHeaderHtml.Text = Properties.Settings.Default.DefaultHeaderHTML;
            txtFooterHtml.Text = Properties.Settings.Default.DefaultFooterHtml;
        }

        private void btnOK_Click(object sender, EventArgs e)
        {
            Properties.Settings.Default["HHCExePath"] = txtHHCPath.Text;
            Properties.Settings.Default["DeleteTempFile"] = chkDeleteTempFile.Checked;
            Properties.Settings.Default["DefaultHeaderHTML"] = txtHeaderHtml.Text;
            Properties.Settings.Default["DefaultFooterHtml"] = txtFooterHtml.Text;
            this.DialogResult = DialogResult.OK;
            this.Close();
        }

        private void btnCancel_Click(object sender, EventArgs e)
        {
            this.Close();
        }

        private void btnBrowse_Click(object sender, EventArgs e)
        {
            using (OpenFileDialog dlg = new OpenFileDialog())
            {
                dlg.Filter = "hhc.exe|hhc.exe";
                dlg.FileName = txtHHCPath.Text;
                dlg.CheckFileExists = true;
                if (dlg.ShowDialog(this) == DialogResult.OK)
                {
                    txtHHCPath.Text = dlg.FileName;
                }
            }
        }
    }
}